<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for iden StructType
 * @subpackage Structs
 */
class Iden extends AbstractStructBase
{
    /**
     * The u
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $u;
    /**
     * The p
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $p;
    /**
     * The pseudocity
     * @var string
     */
    public $pseudocity;
    /**
     * The agt
     * @var string
     */
    public $agt;
    /**
     * The agtpwd
     * @var string
     */
    public $agtpwd;
    /**
     * The agy
     * @var string
     */
    public $agy;
    /**
     * Constructor method for iden
     * @uses Iden::setU()
     * @uses Iden::setP()
     * @uses Iden::setPseudocity()
     * @uses Iden::setAgt()
     * @uses Iden::setAgtpwd()
     * @uses Iden::setAgy()
     * @param string $u
     * @param string $p
     * @param string $pseudocity
     * @param string $agt
     * @param string $agtpwd
     * @param string $agy
     */
    public function __construct($u = null, $p = null, $pseudocity = null, $agt = null, $agtpwd = null, $agy = null)
    {
        $this
            ->setU($u)
            ->setP($p)
            ->setPseudocity($pseudocity)
            ->setAgt($agt)
            ->setAgtpwd($agtpwd)
            ->setAgy($agy);
    }
    /**
     * Get u value
     * @return string
     */
    public function getU()
    {
        return $this->u;
    }
    /**
     * Set u value
     * @param string $u
     * @return \StructType\Iden
     */
    public function setU($u = null)
    {
        // validation for constraint: string
        if (!is_null($u) && !is_string($u)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($u, true), gettype($u)), __LINE__);
        }
        $this->u = $u;
        return $this;
    }
    /**
     * Get p value
     * @return string
     */
    public function getP()
    {
        return $this->p;
    }
    /**
     * Set p value
     * @param string $p
     * @return \StructType\Iden
     */
    public function setP($p = null)
    {
        // validation for constraint: string
        if (!is_null($p) && !is_string($p)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($p, true), gettype($p)), __LINE__);
        }
        $this->p = $p;
        return $this;
    }
    /**
     * Get pseudocity value
     * @return string|null
     */
    public function getPseudocity()
    {
        return $this->pseudocity;
    }
    /**
     * Set pseudocity value
     * @param string $pseudocity
     * @return \StructType\Iden
     */
    public function setPseudocity($pseudocity = null)
    {
        // validation for constraint: string
        if (!is_null($pseudocity) && !is_string($pseudocity)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pseudocity, true), gettype($pseudocity)), __LINE__);
        }
        $this->pseudocity = $pseudocity;
        return $this;
    }
    /**
     * Get agt value
     * @return string|null
     */
    public function getAgt()
    {
        return $this->agt;
    }
    /**
     * Set agt value
     * @param string $agt
     * @return \StructType\Iden
     */
    public function setAgt($agt = null)
    {
        // validation for constraint: string
        if (!is_null($agt) && !is_string($agt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agt, true), gettype($agt)), __LINE__);
        }
        $this->agt = $agt;
        return $this;
    }
    /**
     * Get agtpwd value
     * @return string|null
     */
    public function getAgtpwd()
    {
        return $this->agtpwd;
    }
    /**
     * Set agtpwd value
     * @param string $agtpwd
     * @return \StructType\Iden
     */
    public function setAgtpwd($agtpwd = null)
    {
        // validation for constraint: string
        if (!is_null($agtpwd) && !is_string($agtpwd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agtpwd, true), gettype($agtpwd)), __LINE__);
        }
        $this->agtpwd = $agtpwd;
        return $this;
    }
    /**
     * Get agy value
     * @return string|null
     */
    public function getAgy()
    {
        return $this->agy;
    }
    /**
     * Set agy value
     * @param string $agy
     * @return \StructType\Iden
     */
    public function setAgy($agy = null)
    {
        // validation for constraint: string
        if (!is_null($agy) && !is_string($agy)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agy, true), gettype($agy)), __LINE__);
        }
        $this->agy = $agy;
        return $this;
    }
}
